Subject: Re: linux-next: build failure after merge of the bluetooth tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 20 Jul 2023 13:00:03 +1000

Hi Jakub,

On Wed, 19 Jul 2023 18:24:39 -0700 Jakub Kicinski <[email-masked]> wrote:
>
> Something weird. We did merge it, there was a sort-of-v2-called-v1:
> 
> https://lore.kernel.org/all/[email-masked]/
> 
> Merged as https://git.kernel.org/netdev/net-next/c/a9c49cc2f5b5

That is not the net-next tree in linux-next.  I have always used
git://git.kernel.org/pub/scm/linux/kernel/git/netdev/net-next.git#main.

And the above commit is not in linux-next (yet?)

> Dunno how it's supposed to fix this particular issue, tho, on a closer
> look, as it still calls:
> 
>   scm_recv_unix() -> scm_pidfd_recv() -> pidfd_prepare()

Yeah, the bluetooth tree will need to change that after the above patch
is available to it.

-- 
Cheers,
Stephen Rothwell